Skip to navigation

Update an SSH Key

View as Markdown

Update an SSH Key for the current Tenant by ID.

SSH Key must be owned by current Tenant.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

To add this SSH Key to various SSH Key Groups or remove it from an SSH Key Group, please use SSH Key Group update endpoint.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
sshKeyIdstringRequired
ID of the SSH Key

Request

This endpoint expects an object.
namestring or nullOptional
Name of the SSHKey

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the key
namestringOptional
Name of the SSHKey
orgstringOptional
Organization the SSHKey belongs to
tenantIdstringOptionalformat: "uuid"
ID of the Tenant
fingerprintstringOptional
SHA256 fingerprint of the public key
createddatetimeOptionalRead-only

Date/time when the SSH key was created

updateddatetimeOptionalRead-only

Date/time when the SSH key was last updated

Errors

400
Bad Request Error
403
Forbidden Error